﻿$ErrorActionPreference = 'Stop'
$toolsDir   = Join-Path $(Split-Path -parent $MyInvocation.MyCommand.Definition) 'Aircall-3.1.2.msi'
$url        = 'https://download-electron.aircall.io/Aircall-3.1.2.msi'

$packageArgs = @{
  packageName   = 'aircall'
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64
  file         = $fileLocation
  softwareName  = 'Aircall*'
  checksum      = "50FEC143D86868AAF4C6064748B91EC6E428129F9474442A36E5716B2ACA0A10"
  checksumType  = 'sha256'
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs 